Subject: Re: [RFC/PATCH 2/2] Teach commit to handle CHERRY_HEAD automatically

From: Jonathan Nieder <[email-masked]>
Date: Tue, 15 Feb 2011 18:08:59 -0600

Jay Soffian wrote:

> CHERRY_PICK_HEAD is not written if you use --no-commit.  I'm going to
> punt here and say that's not my itch, thus...
>
> On Tue, Feb 15, 2011 at 6:47 PM, Jonathan Nieder <[email-masked]> wrote:

>> But that was a silly example --- -C takes care of authorship on its
>> own.  A better example might be
>>
>>        git cherry-pick --no-commit F
>>        git commit -F the-message
>>
>> or
>>
>>        git cherry-pick --no-commit F
>>        git commit --amend -C F-prime
>
> Because CHERRY_PICK_HEAD wasn't written, commit in this case behaves
> as it did before this series.

I'll just wait for the reroll and try it.  But surely it is clear what
I am asking?

	git cherry-pick conflicting-thing
	... fix conflict ...
	git commit -F message

should either error out or respect the user's wish, and likewise

	git cherry-pick conflicting-thing
	... fix conflict ...
	git commit --amend -C something-else

should error out.